classification
Title: logging.FileHandler may throw exception in flush()
Type: Stage:
Components: Library (Lib) Versions: Python 2.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: vinay.sajip Nosy List: jlivingston, nnorwitz, vinay.sajip
Priority: normal Keywords:

Created on 2007-07-25 19:35 by jlivingston, last changed 2007-09-27 05:36 by vinay.sajip. This issue is now closed.

Messages (3)
msg32558 - (view) Author: J Livingston (jlivingston) Date: 2007-07-25 19:35
Python 2.4.2
Windows XP SP2

logging.FileHandler may throw exception when calling flush(). This happens rarely and is due to the file handler already having been closed (probably by an external process). Simply checking within the close() method for an open file handler prior to calling flush() would fix this.
msg32559 - (view) Author: Neal Norwitz (nnorwitz) * (Python committer) Date: 2007-07-28 03:35
Vinay, could you take a look?
msg56152 - (view) Author: Vinay Sajip (vinay.sajip) * (Python committer) Date: 2007-09-27 05:36
Fix checked in to trunk: r58268
History
Date User Action Args
2007-09-27 05:36:27vinay.sajipsetstatus: open -> closed
resolution: fixed
messages: + msg56152
2007-07-25 19:35:19jlivingstoncreate